Contents

 Top Next

1. General program information.

1.1. Data comprised in documentation.

1.2. Purpose and basic functions.

1.3. General work algorithm.

2. Quick setup, launch and beginning of operation.

3. Program installation and uninstallation.

3.1. System requirements.

3.2. First installation.

3.3. Reinstallation.

3.4. Program uninstallation.

3.5. «Quiet» installation, installation on remote machines.

3.6. «Quiet» uninstallation, uninstallation from remote machines.

4. Program settings.

4.1. General.

4.1.1.Local and remote administration.

4.1.2. Working priority.

4.2. Limitations.

4.2.1. Working hours.

4.2.2. Working priority.

4.3. Interface settings.

4.3.1. Icon on taskbar.

4.3.2. System service work.

4.3.3. Interface language.

4.4. Log settings.

4.4.1. Logging.

4.4.2. Log files viewing.

4.4.3. Clear log.

4.4.4. Details level.

4.4.5. Size limit.

4.4.6. Setting the log file name.

4.5. Statistics interpretation.

4.6. Function of property dialog buttons.

4.7. Resetting.

5. Context menu of taskbar icon.

6. Agent’s states.

6.1. Working.

6.2. Networking.

7. Licensing agreement.

8. Technical support.


1. General program information

 Top Previous Next

1.1. Data comprised in documentation.

1.2. Purpose and basic functions.

1.3. General work algorithm.


1.1. Data comprised in documentation

The present documentation comprises the data necessary for installation and operation of ElcomSoft Distributed Agent. The procedures of installation, reinstallation, uninstallation and the concepts of the program and their application method are described. There are also adjustment recommendations available.


1.2. Purpose and basic functions

ElcomSoft Distributed Agent is intended for providing computing time to the ElcomSoft Distributed Password Recovery server which in its turn uses it for recovery of documents which password is lost or forgotten.

The program allows:

- to be administered locally or remotely, in case of remote administration the business hours and priority are adjusted and taken from the server;

- to control business hours during which the processor can be used;

- to control work priorities;

- to be started as the system service and as normal application;

- to keep books the machine working hours;

- to keep books and if necessary to view the action reports.


1.3. General work algorithm

The Agent connects to the specified server, renders executed work (if any), receives the next work portion, disconnects and starts processing the task. Periodically, on average every sixty seconds plus some random number of seconds, not more than sixty, the Agent connects to the server to advise its state.


2. Quick setup, launch and beginning of operation

If you want to quickly start the program do the following:

- start the setup program (agent_setup.exe);

- answer all the questions of the setup program by pressing the key «Enter» on the keyboard or by clicking the corresponding default buttons with the left hand key of the mouse in the dialogs;

- in the opening window of the started program specify your name or the ip-address of the server on the first bookmark “Server” after which click “OK” or “Apply” at the bottom of the dialog.

If you did everything correctly the Agent will be ready for work.


3. Program installation and uninstallation

3.1. System requirements.

3.2. First installation.

3.3. Reinstallation.

3.4. Program uninstallation.

3.5. «Quiet» installation, installation on remote machines.

3.6. «Quiet» uninstallation, uninstallation from remote machines.


3.1. System requirements

For normal functioning of the program the following hardware and software are necessary:

- 100%-compatible with IBM PC computer, processor Pentium or higher;

- 128 Mb internal memory;

- 10 Mb free disk space;

- one of the following ÎS: Windows 98, Windows Me, Windows NT 4, Windows 2000 Server, Windows 2000 Advanced Server, Windows NT Workstation, Windows 2000 Professional, Windows XP Professional, Windows 2003 Server, Windows Vista (compatibility with further OS is possible but not guaranteed).


3.2. First installation

To install ElcomSoft Distributed Agent on the computer:

- start the program «agent_setup.exe»;

- select the preferred language of the program interface and click «OK» (Figure 3.2.1);

Figure 3.2.1 . Dialog box for selection of preferred language for Program interface.

- follow the instructions of the setup program (Figure 3.2.2);

Figure 3.2.2. Dialog box for staring Program installation.

- click «Next» to continue the installation or «Cancel » to quit the installation (Figure 3.2.3);

Figure 3.2.3. Dialog box to confirm cancellation of Program setup

Figure 3.2.4. Dialog box with licensing agreement.

- click «Accept», if you agree with the conditions of the licensing agreement, click «Cancel» if you want to quit the installation, «Back » - if you want to return to the previous window of the program setup (Figure 3.2.4);

Figure 3.2.5. Dialog box for selection of components to install.

- select the components you want to install and click «Next » (Figure 3.2.5);

Figure 3.2.6. Selection of folder for Program installation.

- click «Browse» if you want to change the folder on default (Figure 3.2.6), then select a required folder and click «OK» (Figure 3.2.7), if you do not want to change the folder where the program will be installed click «Next » (Figure 3.2.6);

Figure 3.2.7. Dialog box for selection of folder.

Figure 3.2.8. Selection of folder with standard program menu.

- in the opening dialog box (Figure 3.2.8) indicate to the folder name in the standard Program menu. Click «Install»;

Figure 3.2.9. Dialog box of installation completion.

- remove the «check mark» in this dialog box if you do not want to run the program when clicking «Finish » (Figure 3.2.9);

- click «Finish » to complete the installation.


3.3. Reinstallation

Reinstallation takes place when you start the setup program «agent_setup.exe» and the program has been already installed on your computer. This procedure may be required under program update to a new version. In this case all installation settings and data and log files will be saved.

To reinstall the ElcomSoft Distributed Agent on your computer

- start the program «agent_setup.exe»;

- follow the program setup instructions (Figure 3.2.2);

- click «Next» to continue the installation or «Cancel » to quit the installation (Figure 3.2.3);

- click «Accept», if you agree with the licensing agreement, «Cancel » - if you want to interrupt the installation process, «Back » - to return to the previous setup program window (Figure 3.2.4);

- remove the «check mark » on the dialog box, if you do not want to run the program when clicking «finish» (Figure 3.2.9);

- click «finish » to complete the installation.


3.4. Program uninstallation

To uninstall the ElcomSoft Distributed Agent in the computer:

- initiate the standard means to uninstall the program;

- in the opening dialog box (Figure. 3.4.1) click «Next»;

- remove the check mark from «delete all log-files», if you do not want to delete all the log files created by the program (Figure 3.4.2);

- remove the check mark from «delete all data-files », if you do not want to delete all the data files created by the program (Figure 3.4.2);

- click «Uninstall » to start the program deletion (Figure 3.4.2);

- click «Finish », to complete the program deletion (Figure 3.4.3).

Now the program has been deleted from your computer.

Figure 3.4.1. Initial dialog of program uninstallation.

Figure 3.4.2. Selection of data to be uninstalled and confirmation of program uninstallation.

Figure 3.4.3. Completion of program uninstallation.


3.5. «Quiet» installation, installation on remote machines

«Quiet» installation is intended for remote installation of the program to a large number of computers in the network. In this case the setup program will not produce any dialogs.

To perform this installation you have to create a textual file of the ASCII format under the name of «agent_setup.ini» and put it near the setup program of «agent_setup.exe». The «agent_setup.ini» file consists of several sections where parameters names and their corresponding values are located. A section has the following view:

[Name_section]

Name_parameter_1=value_parameter _1

Name_parameter_2=value_parameter _2

At the beginning of the section there is its name in square brackets. Then there are lines with parameter values. To the left of the equality sign – name of next parameter, on the right - its value.

Inside, the «agent_setup.ini» file must comprise the following lines:

[General]

ServerHost=<name or ip-address of sever >

ServerPort=<tcp-port of server>

[Interface]

HideIndicator=<0 | 1>

where «ServerHost» - the server name or ip-address to which the Agent will be connected, «ServerPort» - the server port to which the Agent will be connected, «HideIndicator» - responsible for the presence of the Agent icon in the systems tree (0 –no, 1 –yes).

Then, for instance, having administration rights, you will be able to:

- run the «Server» service if it has not been started;

- provide a general access to the folder with the «agent_setup.exe» and «agent_setup.ini» files;

- edit the task list of the AT service;

- start the AT service.

This way you can remotely install the Agent to the network machines.


3.6. «Quiet» uninstallation, uninstallation from remote machines

«Quiet» uninstallation is intended for program deletion from a large number of computers in the network. In this case the program will not produce any dialogs.

Under starting the «agent_setup.exe» program with the key – uninstall, you will be able to automatically uninstall the program in the computer:

agent_setup.exe – uninstall


4. Program settings

4.1. General.

4.2. Limitations.

4.3. Interface settings.

4.4. Log settings.

4.5. Statistics interpretation.

4.6. Function of property dialog buttons.

4.7. Resetting.


4.1. General

The program general settings are located on the second tab of the general property dialog under the name of «General». Here you will see two groups of settings – «Administering» and «Server», which will be described below. (Figure 4.1).

Figure 4.1. General program settings.


4.1.1. Local and remote administration

Administering can be one of the two types: local and remote.

Set «Local», if you want to configure working hours and priority yourself,

«Remote », if you want working hours and priority to be administrated from the server.


4.1.2. Server parameters

The server parameters must be obligatorily preset for the program to be connected to the sever and take part of work from it.

In the «Host» parameter specify the server name or ip-address or select from the available list by clicking «Browse».

In the «Port» parameter indicate the server port, if the server port differs from the setting on default. Under pressing the key «Reset», the «Port» parameter will be a default value.

After presetting the «Host» or «Port» parameters you can check if the Agent can be connected to the server under these parameters. For this click «Check connection», with the icon on the top left you will see if the program began connection. If the icon becomes red the Agent could not be connected to the server.


4.2. Limitations

The tab under the name of «Limitations» allows you to install local administration in the bookmark of «General», to set working hours during which the program will be able to perform computations by weekdays, and the system priority which will be used for that. If you set remote administration , you will be able to look through the working hours and priority preset on the server (Figure 5.1).

Figure 4.2. Working hours and priority.

4.2.1. Working hours.

4.2.2. Working priority.


4.2.1. Working hours

You can preset certain working hours of the program both for all weekdays and for a separate day. For this choose a weekday in «Limitations » which working hours you want to set, or <all days > and check corresponding hours. You can use buttons «Check all», «Uncheck all», in order to check or uncheck working hours for a separate weekday or for all days.


4.2.2. Working priority

Priority, according to which the program performs computations relative to other working programs. The «Simple system» priority is a default setting. It means that the program will use the central processor only when it is not needed for other programs. If, for instance, you set the «Normal » priority and start some «hard» process together with the Agent they will equally share the processor.


4.3. Interface settings

The tab «Interface» allows to set the program interface and run the program as service (Figure 6.1).

Figure 4.3. Interface settings.

4.3.1. Icon on taskbar.

4.3.2. System service work.

4.3.3. Interface language.


4.3.1. Icon on taskbar

Having installed this option you will allow the program to display its icon on the taskbar by showing its state (see details on the program status in the corresponding section). A double click with the left hand key of the mouse will call the program property dialog, a single click with the right hand key of the mouse calls the context menu (see details on the context menu in the corresponding section).


4.3.2. System service work

After having been installed the Agent works as normal application on default but you can run it as service. In this case the program will work until the user login.

For the program to work as service put the corresponding switch to position «Run as service » and click «OK» or «Apply» and reload the program.


4.3.3. Interface language

You can choose one of the available languages in which the program interface will be displayed.


4.4. Log settings

The «Log» tab allows to flexibly monitor the registration system.

Figure 4.4. Logbook settings.

4.4.1. Logging.

4.4.2. Log files viewing.

4.4.3. Clear log.

4.4.4. Details level.

4.4.5. Size limit.

4.4.6. Setting the log file name.


4.4.1. Logging

Enable option «Enable log» to create the program log file.


4.4.2. Log files viewing

Press the «View Log» button, to view the logbook content. If the logbook is too large and is difficult to be displayed by the standard viewer use another view program by opening the file in it with the name specified in the «File name» field.


4.4.3. Clear log

Press the «Clear Log» button to clear the log file content and confirm this action (Figure 4.4.3).

Figure 4.4.3. Confirm clear log.


4.4.4. Details level

There are three detail levels in logging:all possible messages – for setup mode; informations, warnings and errors – on default; errors only – if you do not want to log the program actions except for errors. The details level is set by certain switch position.


4.4.5. Size limit

For the log not to cover all free disk space you can limit its maximum size. In this case upon reaching its maximum size it will be cleared and created anew.

To limit the log size enable the corresponding option and set the maximum size in kilobites.


4.4.6. Setting the log file name

In the field «file name» assign the name to the file where the logbook is stored.


4.5. Statistics interpretation

In the «About» tab the passwords, keys and processor time usage are registered. The statistics is maintained for the current day, week, month and for the whole time after the last reset. (Figure 4.5).

Figure 4.5. Statistics display.


4.6. Function of property dialog buttons

4.6. Function of feature dialog buttons

Button «Exit» is used for termination of the program. It should be noted that if you do not use this function then under next start the program will be automatically run.

Button «ÎÊ» is used for applying of changed features and for closing of dialogs. Closing of dialogs will not result in program termination.

Button «Check» is used for cancellation of the changed but not applied settings and for closing of feature dialogs. Closing of dialogs will not result in program termination.

Button «Apply» is used for application of changed settings. If this button is in the state when it is impossible to press it there is no need to apply changed settings since no changes have been done.

Figure 4.6. General feature dialog buttons.


4.7. Resetting

To reset click the system menu of the feature dialog with left hand key of the mouse or click <Alt>+<Tab> on the keyboard and apply «Restore defaults».


5. Context menu of taskbar icon

When the program displays its icon in the system tree you will see the context menu upon clicking it with the right hand key of the mouse (Figure 5.1).

Figure 5.1. Icon context menu on taskbar

Command «Restore» is used to display the hidden feature dialog of the program.

Command «Hide icon» is used to hide an icon on the taskbar. To restore the icon disable option «Hide icon», in the bookmark «Interface ».

«Priority» changes the program priorities. This option is identical to that in the program feature dialog under the bookmark «Limitations ».

«Exit» terminates the program. It should be noted that if you do not use this command the program will automatically start next time under system initialization.


6. Agent’s states

The program has two state types that can change:

- working

- networking


6.1. Working

The networking state can be of one of the three types:

- offline;

- connecting;

- online.

The Agent is in the offline state most of the time when it is processing the server task or expecting it.

The Agent enters the connecting state when it intends to connect to the server.

The Agent is in the online state when being connected to the server is giving or receiving the task from it.


6.2. Networking

The networking state can be of one of the three types:

- offline;

- connecting;

- online.

The Agent is in the offline state most of the time when it is processing the server task or expecting it.

The Agent enters the connecting state when it intends to connect to the server.

The Agent is in the online state when being connected to the server is giving or receiving the task from it.


7. Licensing agreement

END USER LICENSE AGREEMENT

NOTICE TO USER:

THIS IS AN AGREEMENT GOVERNING YOUR USE OF ELCOMSOFT SOFTWARE, FURTHER DEFINED HEREIN AS “PRODUCT,” AND THE LICENSOR OF THE PRODUCT IS WILLING TO PROVIDE YOU WITH ACCESS TO THE PRODUCT ONLY ON THE CONDITION THAT YOU ACCEPT ALL OF THE TERMS AND CONDITIONS CONTAINED IN THIS AGREEMENT. BELOW, YOU ARE ASKED TO ACCEPT THIS AGREEMENT AND CONTINUE TO INSTALL OR, IF YOU DO NOT WISH TO ACCEPT THIS AGREEMENT, TO DECLINE THIS AGREEMENT, IN WHICH CASE YOU WILL NOT BE ABLE TO INSTALL OR OPERATE THE PRODUCT. BY INSTALLING THIS PRODUCT YOU ACCEPT ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.

This Electronic End User License Agreement (the “Agreement”) is a legal agreement between you (either an individual or an entity), the licensee, and ElcomSoft Co. Ltd. and its affiliates (collectively, the “Licensor”), regarding the Licensor’s software, as applicable pursuant to a valid license, you are about to download and/or other related services, including without limitation a) all of the contents of the files, disk(s), CD-ROM(s) or other media with which this Agreement is provided and including all forms of code, such as source code and object code, (the “Software”), b) all successor upgrades, modified versions, modified modules, revisions, patches, enhancements, fixes, modifications, copies, additions or maintenance releases of the Software, if any, licensed to you by the Licensor (collectively, the “Updates”), and c) related user documentation and explanatory materials or files provided in written, “online” or electronic form (the “Documentation” and together with the Software and Updates, the “Product”). You are subject to the terms and conditions of this End User License Agreement whether you access or obtain the Product directly from the Licensor, or through any other source. For purposes hereof, “you” means the individual person installing or using the Product on his or her own behalf; or, if the Product is being downloaded or installed on behalf of an organization, such as an employer, “you” means the organization for which the Product is downloaded or installed, then the person accepting this agreement represents hereby that such organization has authorized such person to accept this agreement on the organization’s behalf. For purposes hereof the term “organization,” without limitation, includes any partnership, limited liability company, corporation, association, joint stock company, trust, joint venture, labor organization, unincorporated organization, or governmental authority.

By accessing, storing, loading, installing, executing, displaying, copying the Product into the memory of a Client Device, as defined below, or otherwise benefiting from using the functionality of the Product (“Operating”), you agree to be bound by the terms and conditions of this Agreement. If you do not agree to the terms and conditions of this Agreement, the Licensor is unwilling to license the Product to you. In such event, you may not Operate or use the Product in any way.

BEFORE YOU “I AGREE” BUTTON”, PLEASE CAREFULLY READ THE TERMS AND CONDITIONS OF THIS AGREEMENT, AS SUCH ACTIONS ARE A SYMBOL OF YOUR SIGNATURE AND BY CLICKING ON THE “I AGREE” BUTTON, YOU ARE CONSENTING TO BE BOUND BY AND ARE BECOMING A PARTY TO THIS AGREEMENT AND AGREE THAT THIS AGREEMENT IS ENFORCEABLE LIKE ANY WRITTEN NEGOTIATED AGREEMENT SIGNED BY YOU. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS AGREEMENT, CLICK THE “CANCEL” BUTTON AND THE PRODUCT WILL NOT BE INSTALLED ON YOUR CLIENT DEVICE, AS SUCH TERM IS DEFINED BELOW. For your reference, you may refer to the copy of this Agreement that can be found in the Help for the Software. You may also receive a copy of this Agreement by contacting Licensor at: info@elcomsoft.com.

1. Proprietary Rights and Non-Disclosure.

1.1. Ownership Rights. You agree that the Product and the authorship, systems, ideas, methods of operation, documentation and other information contained in the Product, are proprietary intellectual properties and or the valuable trade secrets of the Licensor and are protected by civil and criminal law, and by the law of copyright, trade secret, trademark and patent of the Russian federation, other countries and international treaties. You may use trademarks only insofar as to identify printed output produced by the Product in accordance with accepted trademark practice, including identification of trademark owner’s name. Such use of any trademark does not give you any rights of ownership in that trademark. The Licensor and its suppliers own and retain all right, title, and interest in and to the Product, including without limitations any error corrections, enhancements, Updates or other modifications to the Software, whether made by Licensor or any third party, and all copyrights, patents, trade secret rights, trademarks, and other intellectual property rights therein. Your possession, installation or use of the Product does not transfer to you any title to the intellectual property in the Product, and you will not acquire any rights to the Product except as expressly set forth in this Agreement. All copies of the Product made hereunder must contain the same proprietary notices that appear on and in the Product. Except as stated herein, this Agreement does not grant you any intellectual property rights in the Product and you acknowledge that the license granted under this Agreement only provides you with a right of limited use under the terms and conditions of this Agreement.

1.2. Source Code and Modifications. You acknowledge that the source code for the Product is proprietary to the Licensor and constitutes trade secrets of the Licensor. You agree not to modify, or create derivative works based upon the Product in whole or in part nor reverse engineer, decompile, disassemble the source code of the Product in any way.

1.3. Registration Code File and Confidential Information. You agree that, unless otherwise specifically provided herein or agreed by the Licensor in writing, the Product, including the specific design and structure of individual programs and the Product, including without limitation the Registration Code File provided to you by the Licensor and/or its authorized resellers or distributors, constitute confidential proprietary information of the Licensor. For purposes hereof, “Registration Code” shall mean a unique key identification file or a combination of unique electronic characters provided to you by the Licensor confirming the purchase of the license from the Licensor, which may carry the information about the license and the number of permitted users, and enabling the full functionality of the Product in accordance with the license granted under this Agreement. You agree not to transfer, copy, disclose, provide or otherwise make available such confidential information in any form to any third party without the prior written consent of the Licensor. You agree to implement reasonable security measures to protect such confidential information, but without limitation to the foregoing, shall use best efforts to maintain the security of the Registration Code provided to you by the Licensor and/or its authorized resellers or distributors.

2. Grant of License.

2.1. License. The Licensor grants you the following rights (“License”) and you hereby agree and accept such License:

a). Trial Version. If you have received, downloaded and/or installed a trial version of the Product and are hereby granted an evaluation license for the Software and you may Operate the Product only for evaluation purposes and only during the single applicable evaluation period of thirty (30) days, unless otherwise indicated, from the date of the initial installation. Following this test period of thirty (30) days or less, if you wish to continue to use the Product, you must register. To register you have to pay for the fully functional version. Upon payment we provide the Registration Code to you. Any use of the Product for other purposes or beyond the applicable evaluation period is strictly prohibited, provided however that, subject to the restrictions contained herein, you may copy and distribute a trial version of the Software without any modifications whatsoever to any third party subject to this Agreement and further provided that you have no technical support rights during the trial period. The unregistered (trial) version may be freely distributed, provided that the distribution package is not modified. No person or company may charge a fee for the distribution of the Product without written permission from the copyright holder.

b). Grant of License. Unless otherwise specifically indicated under a valid license (e.g. volume license) granted by the Licensor, once registered you are granted a non-exclusive and non-transferable license to install one (1) copy of the Product and during the term of your license, subject to the payment of the applicable fees and your compliance with the terms hereof, this Agreement permits you or any of your employees to Operate one copy of the specified version of the Product, for internal purposes only, on one computer, workstation, or other electronic device of which the software was designed (each a “Client Device”). If you have purchased multiple licenses for the Product, then the number of multiple licenses shall determine the number of copies of the Product you may have and the number of Client Devices on which you may Operate the Product. If the Product is licensed as a suite or bundle with more than one specified software product, this license applies to all such specified software products, subject to any restrictions or usage terms specified on the applicable price list or product packaging that apply to any of such software products individually. Additionally, Licensor reserves the right to provide for specific terms and conditions in the purchased licenses and such terms may be embedded in Registration Code specifying other terms, conditions and restrictions of Operating of the Product. The Licensor reserves all rights not expressly granted herein.

c). Limitations on Personal License. With the purchase of a personal License, the Licensee may operate the Product as set forth in the Agreement for non-commercial purposes in a non-business or non-commercial environment. Use of the Product in a corporate, governmental or business environment requires the purchase of a business license.

d). Site License. With the acquisition of a Site License, the Licensee may install and use the Product on an unlimited amount of CPUs within one office in one geographic location. Within these limitations, the Licensee may install the Product as a “Network” Product and run the software from any networked computer on your LAN, provided those computers are located exclusively within one office at one geographic location.

e). Volume Use. If the Product is licensed with volume license terms specified in the applicable product invoicing or packaging for the Product, you may make use and install as many additional copies of the Product on the number of Client Devices as the volume license terms specify. You must have a reasonable mechanism in place to ensure that the number of Client Devices on which the Product has been installed does not exceed the number of licenses you have obtained.

f). Multiple Environment Product; Multiple Language Product; Dual Media Product; Multiple Copies; Bundles. If the Product supports multiple platforms or languages, if you receive the Product on multiple media, if you otherwise receive multiple copies of the Product, or if you received the Product bundled with other software, the total number of your Client Devices on which all versions of the Product are installed may not exceed the number of licenses you have obtained from the Licensor. You may not rent, lease, sublicense, lend or transfer any versions or copies of the Product you do not use.

2.2. Back-up Copies. You can make one (1) copy the Product for backup and archival purposes, provided, however, that the original and each copy is kept in your possession or control, and that your installation and use of the Product does not exceed that which is allowed in this Section 2.

2.3. Prohibitions. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this Agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution. Neither ElcomSoft binary code nor source may be used or reverse engineered to re-create the program algorithm, which is proprietary, without written permission of Licensor. All rights not expressly granted here are reserved by ElcomSoft Co. Ltd.

2.4. Special Provisions Applicable to Password Recovery Programs. The Licensor has a strict return policy due to the nature of our products. If the software is unable to recover (or remove, or change) a password, a copy of the unrecovered file must be sent to the Licensor for evaluation. If the password is recovered, you will be either able to keep the software and receive the password to the file (or unprotected copy of the file), or refund can be made and the end user will need to pay for the in-house recovery in order to receive the password. If the Licensor is unable to recover the password, a full refund will be made. This subsection is applicable only to situations when password recovery or removal is guaranteed without brute-force or dictionary attacks.

2.5. Registration Code. Registration Code provided by the Licensor constitutes the confidential proprietary information of the Licensor. ElcomSoft Registration Code file may not be distributed, except as stated herein, outside of the area of legal control of the person or persons who purchased the original license, without written permission of the copyright holder. You may not give away, sell or otherwise transfer your Registration Code to a third party. Doing so will result in an infringement of copyright. ElcomSoft Co. Ltd retains the right of claims for compensation in respect of damage which occurred by your giving away the registration code. This claim shall also extend to all costs which ElcomSoft Co. Ltd incurs in defending itself.

2.6. Transfers. Under no circumstances shall Licensee sell, rent, lease, license, sublicense, publish, display, distribute, or otherwise transfer to a third party the Software, any copy thereof, in whole or in part, without Licensor's prior written consent, unless otherwise provided for in this Agreement.

2.7. Acceptance of Licensing Terms. Installing and using the Product signifies acceptance of these terms and conditions of the License. If you do not agree with the terms of the license you must remove all Product files from your storage devices, including any back-up or archival copy, and cease to use the Product.

2.8. Material Terms and Conditions. Licensee specifically agrees that each of the terms and conditions of this Section 2 are material and that failure of Licensee to comply with these terms and conditions shall constitute sufficient cause for Licensor to immediately terminate this Agreement and the License granted under this Agreement. The presence of this Section 2.7 shall not be relevant in determining the materiality of any other provision or breach of this Agreement by either party.

2.9. Term and Termination. The term of this Agreement (“Term”) shall begin when you download, access or install the Product or pay the applicable license fees (whichever is earlier) and shall continue for the term specified in your order. Without prejudice to any other rights, this Agreement will terminate automatically if you fail to comply with any of the limitations or other requirements described herein. Upon any termination or expiration of this Agreement, you must immediately cease use of the Product and destroy all copies of the Product.

2.10. No Rights Upon Termination. Upon termination of this Agreement you will no longer be authorized to Operate or use the Product in any way.

3. Support and Updates.

3.1. Terms of Support. During the one-year period you are entitled to technical services and support for the Product which is provided to you by Licensor during the regular business hours (GMT+ 03:00), except for locally-observed holidays, and includes the support provided through a special technical support section of the Licensor’s site (the “Site”) and email support@elcomsoft.com. During such period of one year e-mail support is unlimited and includes technical and support questions and patch fixes.

3.2. Updates. During the one-year period, you may download Updates to the Product when and as the Licensor publishes them on the Site, or through other online services. If the Product is an Update to a previous version of the Product, you must possess a valid license to such previous version in order to use the Update. You may continue to use the previous version of the Product on your Client Device after you receive the Update to assist you in the transition to the Update, provided that: (i) the Update and the previous version are installed on the same Client Device; (ii) the previous version or copies thereof are not transferred to another party or Client Device unless all copies of the Update are also transferred to such party or Client Device; (iii) you acknowledge that any modification that you made to the Product may be lost, altered, distorted or destroyed rendering such modifications, Product or the part thereof inoperable or non-usable; and (iv) you acknowledge that any obligation the Licensor may have to support the previous version of the Product may be ended upon availability of the Update. Except for the rights to free Updates during the one-year period, as further defined herein, nothing in this Agreement shall be construed as to grant you any rights or licenses with regard to the new releases of the Product or to entitle you to any new release. This Agreement does not obligate the Company to provide any Updates. Notwithstanding the foregoing, any Updates that you may receive become part of the Product and the terms of this Agreement apply to them (unless this Agreement is superseded by a succeeding agreement accompanying such Update or modified version of the Product).

4. Restrictions.

4.1. No Transfer of Rights. You may not transfer any rights pursuant to this Agreement nor rent, sublicense, lease, loan or resell the Product. You may not permit third parties to benefit from the use or functionality of the Product via a timesharing, service bureau or other arrangement, except to the extent such use is specified in the application price list, purchase order or product packaging for the Product. Except as otherwise provided in Section 1.2 hereof, you may not, without the Licensor’s prior written consent, reverse engineer, decompile, disassemble or otherwise reduce any party of the Product to human readable form nor permit any third party to do so, except to the extent the foregoing restriction is expressly prohibited by applicable law. Notwithstanding the foregoing sentence, decompiling the Software is permitted to the extent the laws of your jurisdiction give you the right to do so to obtain information necessary to render the Software interoperable with other software; provided, however, that you must first request such information from the Licensor and the Licensor may, in its discretion, either provide such information to you (subject to confidentiality terms) or impose reasonable conditions, including a reasonable fee, on such use of the Software to ensure that the Licensor's and its affiliates’ proprietary rights in the Software are protected. Except for the modification permitted under Section 1.2, you may not modify, or create derivative works based upon the Product in whole or in part.

4.2. Proprietary Notices and Copies. You may not remove any proprietary notices or labels on the Product. You may not copy the Product except as expressly permitted in Section 2 above.

4.3. Compliance with Law. You agree that in Operating the Product and in using any report or information derived as a result of Operating this Product, you will comply with all applicable international, national, state, regional and local laws and regulations, including, without limitation, privacy, trademark, patent, copyright, export control and obscenity law and you shall not use the Product for unethical or illegal business practices or in violation of any obligation to a third party in using, operating, accessing or running any of the Product and shall not knowingly assist any other person or entity to so violate any obligation to a third party.

4.4. Additional Protection Measures. Solely for the purpose of preventing unlicensed use of the Product, the Software may install on your Client Device technological measures that are designed to prevent unlicensed use, and the Licensor may use this technology to confirm that you have a licensed copy of the Product. The update of these technological measures may occur through the installation of the Updates. The Updates will not install on unlicensed copies of the Product. If you are not using a licensed copy of the Product, you are not allowed to install the Updates. The Licensor will not collect any personally identifiable information from your Client Device during this process.

5. WARRANTIES AND DISCLAIMERS.

5.1. Limited Warranty. The Licensor warrants that for 90 days (the “Warranty Period”) from the date the Registration Code is provided to you by Licensor, the media on which Product has been provided will be free from defects in materials and workmanship and that the Software will perform substantially in accordance with the Documentation or generally conform to the Product’s specifications published by the Licensor. Non-substantial variations of performance from the Documentation do not establish a warranty right. THIS LIMITED WARRANTY DOES NOT APPLY TO UPDATES AS APPLIED TO ANY MODIFIED PRODUCT, WHETHER OR NOT SUCH MODIFICATION IS PERMISSIBLE HEREUNDER, TRIAL AND EVALUATION VERSIONS, UPDATES, PRE-RELEASE, TRYOUT, PRODUCT SAMPLER, OR NOT FOR RESALE (NFR) COPIES OF PRODUCT. This limited warranty is void and your support right terminate if the defect has resulted from accident, abuse, or misapplication or any modification, whether or not such modification is permitted hereunder. No warranty is made as to the integrity, protection or safekeeping of any modification to the Products made by you upon installation of any of the Updates. To make a warranty claim, you must return the Product to the location where you obtained it along with proof of purchase within such sixty (60) day period of the license fee you paid for the Product. THE LIMITED WARRANTY SET FORTH IN THIS SECTION GIVES YOU SPECIFIC LEGAL RIGHTS. YOU MAY HAVE ADDITIONAL RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

5.2. Customer Remedies. The Licensor and its suppliers’ entire liability and your exclusive remedy for any breach of the foregoing warranty shall be at the Licensor’s option: (i) return of the purchase price paid for the license, if any, (ii) replacement of the defective media in which the Product is contained, or (iii) correction of the defects, “bugs” or errors within reasonable period of time. You must return the defective media to the Licensor at your expense with a copy of your receipt. Any replacement media will be warranted for the remainder of the original warranty period.

5.3. NO OTHER WARRANTIES. EXCEPT FOR THE FOREGOING LIMITED WARRANTY, AND FOR ANY WARRANTY, CONDITION, REPRESENTATION OR TERM TO THE EXTENT TO WHICH THE SAME CANNOT OR MAY NOT BE EXCLUDED OR LIMITED BY LAW APPLICABLE TO YOU IN YOUR JURISDICTION, THE PRODUCT IS PROVIDED “AS-IS” WITHOUT ANY WARRANTY WHATSOEVER AND THE LICENSOR MAKES NO PROMISES, REPRESENTATIONS OR WARRANTIES, WHETHER EXPRESSED OR IMPLIED, WHETHER BY STATUTE, COMMON LAW, CUSTOM, USAGE OR OTHERWISE, REGARDING OR RELATING TO THE PRODUCT OR CONTENT THEREIN OR TO ANY OTHER MATERIAL FURNISHED OR PROVIDED TO YOU PURSUANT TO THIS AGREEMENT OR OTHERWISE. YOU ASSUME ALL RISKS AND RESPONSIBILITIES FOR SELECTION OF THE PRODUCT TO ACHIEVE YOUR INTENDED RESULTS, AND FOR THE INSTALLATION OF, USE OF, AND RESULTS OBTAINED FROM THE PRODUCT. THE LICENSOR MAKES NO WARRANTY THAT THE PRODUCT WILL BE ERROR FREE OR FREE FROM INTERRUPTION OR FAILURE, OR THAT IT IS COMPATIBLE WITH ANY PARTICULAR HARDWARE OR SOFTWARE. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, LICENSOR DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, NON-INFRINGEMENT OF THIRD PARTY RIGHTS, INTEGRATION, SATISFACTORY QUALITY OR FITNESS FOR ANY PARTICULAR PURPOSE WITH RESPECT TO THE PRODUCT AND THE ACCOMPANYING WRITTEN MATERIALS OR THE USE THEREOF. SOME JURISDICTIONS DO NOT ALLOW LIMITATIONS ON IMPLIED WARRANTIES, SO THE ABOVE LIMITATION MAY NOT APPLY TO YOU. YOU HEREBY ACKNOWLEDGE THAT THE PRODUCT MAY NOT BE OR BECOME AVAILABLE DUE TO ANY NUMBER OF FACTORS INCLUDING WITHOUT LIMITATION PERIODIC SYSTEM MAINTENANCE, SCHEDULED OR UNSCHEDULED, ACTS OF GOD, TECHNICAL FAILURE OF THE SOFTWARE, TELECOMMUNICATIONS INFRASTRUCTURE, OR DELAY OR DISRUPTION ATTRIBUTABLE TO VIRUSES, DENIAL OF SERVICE ATTACKS, INCREASED OR FLUCTUATING DEMAND, AND ACTIONS AND OMISSIONS OF THIRD PARTIES. THEREFORE, THE LICENSOR EXPRESSLY DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTY REGARDING SYSTEM AND/OR SOFTWARE AVAILABILITY, ACCESSIBILITY, OR PERFORMANCE. THE LICENSOR DISCLAIMS ANY AND ALL LIABILITY FOR THE LOSS OF DATA DURING ANY COMMUNICATIONS AND ANY LIABILITY ARISING FROM OR RELATED TO ANY FAILURE BY THE LICENSOR TO TRANSMIT ACCURATE OR COMPLETE INFORMATION TO YOU.

5.4. LIMITED LIABILITY; NO LIABILITY FOR CONSEQUENTIAL DAMAGES. YOU ASSUME THE ENTIRE COST OF ANY DAMAGE RESULTING FROM YOUR USE OF THE PRODUCT AND THE INFORMATION CONTAINED IN OR COMPILED BY THE PRODUCT, AND THE INTERACTION (OR FAILURE TO INTERACT PROPERLY) WITH ANY OTHER HARDWARE OR SOFTWARE WHETHER PROVIDED BY THE LICENSOR OR A THIRD PARTY. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL THE LICENSOR OR ITS SUPPLIERS OR LICENSORS BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, LOSS OF DATA, LOSS OF GOODWILL, WORK STOPPAGE, HARDWARE OR SOFTWARE DISRUPTION IMPAIRMENT OR FAILURE, REPAIR COSTS, TIME VALUE OR OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OR INABILITY TO USE THE PRODUCT, OR THE INCOMPATIBILITY OF THE PRODUCT WITH ANY HARDWARE SOFTWARE OR USAGE, EVEN IF SUCH PARTIES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL LICENSOR’S TOTAL LIABILITY TO YOU FOR ALL DAMAGES IN ANY ONE OR MORE CAUSE OF ACTION, WHETHER IN CONTRACT, TORT OR OTHERWISE EXCEED THE AMOUNT PAID BY YOU FOR THE PRODUCT. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY TO THE EXTENT THAT APPLICABLE LAW PROHIBITS SUCH LIMITATION. FURTHERMORE, BECAUSE SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

6. Indemnification

6.1. Indemnification for Violations. Your Operating of the Product, your accessing your account with Licensor and your entering into this Agreement constitutes your consent and agreement to defend, indemnify and hold harmless Licensor and its affiliated companies, employees, contractors, officers and directors from any claim or demand, including reasonable attorney’s fees arising out of your use of the Product in violation of this Agreement.

SPECIAL PROVISION APPLICABLE TO U.S. PERSONS AND ENTITIES.

7. U.S. Government-Restricted Rights.

7.1. Notice to U.S. Government End Users. The Product and accompanying Documentation are deemed to be “Commercial Items,” as that term is defined at 48 C.F.R. par. 2.101, consisting of “Commercial Computer Software” and “Commercial Computer Software Documentation,” respectively, as such terms are used in 48 C.F.R. par. 12.212 or 48 C.F.R. par. 227.7202, as applicable. Consistent with 48 C.F.R. par. 12.212 or 48 C.F.R. par. 227.7202-1 through 227.7202-4, as applicable, the Commercial Computer Software and Commercial Computer Software Documentation are being licensed to U.S. Government end users (a) only as Commercial Items and (b) with only those rights, including any use, modification, reproduction, release, performance, display or disclosure of the Product and accompanying Documentation, as are granted to all other end users pursuant to the terms and conditions herein. Unpublished-rights reserved under the copyright laws of the United States.

7.2. Export Restrictions. You acknowledge and agree that the Product may be subject to restrictions and controls imposed by the Export Administration Act and the Export Administration Regulations of the United States (the “Acts”). You agree and certify that neither the Product nor any direct product thereof is being or will be used for any purpose prohibited by the Acts. You may not Operate, download, export, or re-export the Product (a) into, or to a national or resident of, any country to which the United States has embargoed goods, or (b) to anyone on the United States Treasury Department’s list of Specially Designated Nationals or the U.S. Commerce Department’s Table of Deny Orders. By downloading or using the Product, you are representing and warranting that you are not located in, under the control of, or a national or resident of any such country or on any such list. You acknowledge that it is your sole responsibility to comply with any and all government export and other applicable laws and that the Licensor has no further responsibility for such after the initial license to you. You warrant and represent that neither the U.S. Commerce Department, Bureau of Export Administration nor any other U.S. federal agency has suspended, revoked or denied your export privileges.

8. Your Information and the Licensor’s Privacy Policy

8.1. Privacy Policy. You acknowledge receipt of and agree to the Licensor’s privacy statement which is made available to you in connection with installation and is set forth in full at http://www.elcomsoft.com/privacy.html. You hereby expressly consent to the Licensor’s processing of your personal data (which may be collected by the Licensor or its distributors) according to the Licensor’s current privacy policy as of the date of the effectiveness hereof which is incorporated into this Agreement by reference. By entering into this Agreement, you agree that the Licensor may collect and retain information about you, including your name and email address. The Licensor employs other companies and individuals to perform certain functions on its behalf. Examples include fulfilling orders, delivering packages, sending postal mail and e-mail, removing repetitive information from customer lists, analyzing data, providing marketing assistance, processing credit card payments, and providing customer service. They have access only to personal information needed to perform their functions, but may not use it for other purposes. The Licensor publishes a privacy policy on its web site and may amend such policy from time to time in its sole discretion. You should refer to the Licensor’s privacy policy prior to agreeing to this Agreement for a more detailed explanation of how your information will be stored and used by the Licensor. If “you” are an organization, you will ensure that each member of your organization (including employees and contractors) about whom personal data may be provided to the Licensor has given his or her express consent to the Licensor’s processing of such personal data. Personal data will be processed by the Licensor or its distributors in the country where it was collected.

8.2. Public Announcements. The Licensor may identify you to the public as a customer of the Licensor and describe in a customer case study the services and solutions delivered by the Licensor to you. The Licensor may also issue one or more press releases, containing an announcement of the execution and delivery of this Agreement and/or the implementation of the Product by you. Nothing contained in this Section shall be construed as an obligation by you to disclose any of your proprietary or confidential information to any third party. In addition, you may opt-out from this Section by writing an opt-out request to the Licensor at info@elcomsoft.com.

9. Miscellaneous.

9.1. Governing Law; Jurisdiction and Venue. This Agreement shall be governed by and construed and enforced in accordance with the laws of the Russian Federation without reference to conflicts of law rules and principles. To the extent permitted by law, the provisions of this Agreement shall supersede any provisions of the Uniform Commercial Code as adopted or made applicable to the Products in any competent jurisdiction. This Agreement shall not be governed by the United Nations Convention on Contracts for the International Sale of Goods, the application of which is expressly disclaimed and excluded. The courts within the Russian Federation shall have exclusive jurisdiction to adjudicate any dispute arising out of this Agreement. You agree that this Agreement is to be performed in the Russian Federation and that any action, dispute, controversy, or claim that may be instituted based on this Agreement, or arising out of or related to this Agreement or any alleged breach thereof, shall be prosecuted exclusively in the courts in of the Russian Federation and you, to the extent permitted by applicable law, hereby waive the right to change venue to any other state, county, district or jurisdiction; provided, however, that the Licensor as claimant shall be entitled to initiate proceedings in any court of competent jurisdiction.

9.2. Period for Bringing Actions. No action, regardless of form, arising out of the transactions under this Agreement, may be brought by either party hereto more than one (1) year after the cause of action has occurred, or was discovered to have occurred, except that an action for infringement of intellectual property rights may be brought within the maximum applicable statutory period.

9.3. Entire Agreement; Severability; No Waiver. This Agreement is the entire agreement between you and Licensor and supersedes any other prior agreements, proposals, communications or advertising, oral or written, with respect to the Product or to subject matter of this Agreement. You acknowledge that you have read this Agreement, understand it and agree to be bound by its terms. If any provision of this Agreement is found by a court of competent jurisdiction to be invalid, void, or unenforceable for any reason, in whole or in part, such provision will be more narrowly construed so that it becomes legal and enforceable, and the entire Agreement will not fail on account thereof and the balance of the Agreement will continue in full force and effect to the maximum extent permitted by law or equity while preserving, to the fullest extent possible, its original intent. No waiver of any provision or condition herein shall be valid unless in writing and signed by you and an authorized representative of Licensor provided that no waiver of any breach of any provisions of this Agreement will constitute a waiver of any prior, concurrent or subsequent breach. Licensor’s failure to insist upon or enforce strict performance of any provision of this Agreement or any right shall not be construed as a waiver of any such provision or right.

9.4. Contact Information. Should you have any questions concerning this Agreement contact us at legal@elcomsoft.com.

© 1998-2004 ElcomSoft Co. Ltd. All rights reserved. The Product, including the Software and any accompanying Documentation, are copyrighted and protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.


8. Technical support

 Top Previous

For Technical Support please contact us by E-Mail at support@elcomsoft.com.

In the subject of your Mail, please write:

"EDPR x.y",

where x.y is the version number, followed by problem, suggestion or whatever else.

You can also contact our Customer Service Department at info@elcomsoft.com and sales department at sales@elcomsoft.com.

Our Fax numbers:

+1 866 448-2703 (US and Canada, toll-free)
+44 870 831-2983 (UK)
+49 692 557-7249 (Germany)

Please write in English language only.